haskelldb-2.2.2: A library of combinators for generating and executing SQL statements.

Portability | non-portable
Stability | experimental
Maintainer | haskelldb-users@lists.sourceforge.net
Safe Haskell | None

Database.HaskellDB.DBSpec.DBSpecToDatabase

Description

Connects to a database and generates stuff in it according to what's inside the DBSpec.

Synopsis

- dbSpecToDatabase :: Database -> DBInfo -> IO ()
- tInfoToTable :: Database -> TInfo -> IO ()

# Documentation

dbSpecToDatabase Source

Arguments

:: Database | A Database
-> DBInfo | The DBInfo to generate from
-> IO () |

Converts a DBInfo to a real life Database, note that the database must exist for this to work

tInfoToTable :: Database -> TInfo -> IO ()Source

Create a database table specified by a `TInfo`.